Skala
Stock quantity histories

List all stock quantity histories

Fetches a complete list of stock quantity history records available in the system.

GET
/api/stock_quantity_histories

Fetches a complete list of stock quantity history records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

exists[location]?boolean
stockVariant.id?integer
stockVariant.id[]?array<>
stockVariant.name?string
stockVariant.stock.id?integer
stockVariant.stock.id[]?array<>
stockVariant.stock.category.name?string
stockVariant.stock.type?string
stockVariant.stock.type[]?array<>
stockVariant.stock.currency.code?string
stockVariant.stock.supplier.name?string
stockVariant.stock.tax.name?string
stockVariant.code?string
location.id?integer
location.id[]?array<>
amount?string
amount[]?array<>
averageCost?string
averageCost[]?array<>
expectedAmount?string
expectedAmount[]?array<>
committedAmount?string
committedAmount[]?array<>
missingAmount?string
missingAmount[]?array<>

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_quantity_histories"
[
  {
    "id": 0,
    "amount": "string",
    "expectedAmount": "string",
    "committedAmount": "string",
    "missingAmount": "string",
    "valueInStock": "string",
    "location": "/entity/1",
    "stock": "/entity/1",
    "averageCost": "string",
    "day": "2019-08-24T14:15:22Z",
    "stockVariant": "/entity/1",
    "usableAmount": "string"
  }
]